Subject: JNI problem
From: [email-masked] (Igor Boukanov)

1 Sep 1997 18:01:06 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-Sender: [email-masked]

Hi,

I tried to use gcc from b18 to implement JNI native libraris but without
much success, i.e. I was able to create dll, but I could not load libarary
from JVM. After the execution:
System.load("C:\\test\\test.dll");
I always got:
java.lang.UnsatisfiedLinkError: C:\test\test.dll
        at java.lang.Runtime.load(Runtime.java:397)
        at java.lang.System.load(System.java:553)
        at Prompt.main(Prompt.java:32)

In the same time I saw in the list archive that some guys at least were
able to call native methods. So what is a problem?

P.S.,

I also noticed that I can load system, MS-OFFICE dll's and  cygwin.dll
from Sergey, but not the one from oficial b18 package. So what is the
difference?  

Regards, Igor Boukanov. 
[email-masked]  
http://www.fi.uib.no/~boukanov/

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".